#!/bin/sh
set +x

SERVER_NAME=$1
ITM_HOME=$2
INTERP_TYPE=$3

#JAVA_HOME=$5

if [ -z "$SERVER_NAME"  ]; then
	echo "usage: installaeltep.sh <TEPS HOSTNAME> <ITM HOME> <INTERP TYPE>"
	echo The first parameter is the TEPS HOSTNAME.
	exit
fi
if [ -z "$ITM_HOME"  ]; then
	echo "usage: installaeltep.sh <TEPS HOSTNAME> <ITM HOME> <INTERP TYPE>"
	echo "The second parameter is the CANDLE_HOME environment variable (ITM Install Directory) e.g. /opt/IBM/ITM"
	exit
fi
if [ -z "$INTERP_TYPE"  ]; then
	echo "usage: installaeltep.sh <TEPS HOSTNAME> <ITM HOME> <INTERP TYPE>"
	echo "The third parameter is the INTERP TYPE e.g. li6243, aix, etc"
	exit
fi

#if [ -z "$JAVA_HOME"  ]; then
#	echo "usage: installaeltep.sh <TEPS HOSTNAME> <ITM HOME> <INTERP TYPE> <JAVA HOME>"
#	echo The fifth parameter is JAVA's home dir on this box.
#	exit
#fi

export PATH=$ITM_HOME/JRE/$INTERP_TYPE/bin:$PATH 

# Build up a classpath for the candle jars      

CLASSPATH=.:jars/ael.jar:jars/commons-codec-1.3.jar:jars/commons-httpclient-3.0.1.jar:jars/commons-logging-1.0.4.jar:jars/commons-logging-api-1.0.4.jar:jars/editor.jar:jars/jaxen-core-1.0.jar:jars/jcelementsK.jar:jars/jctableK.jar:jars/kev.jar:jars/maplet.jar:jars/nova.jar:jars/oromatcher.jar:jars/saxpath.jar:$ITM_HOME/$INTERP_TYPE/cw/classes:$ITM_HOME/$INTERP_TYPE/cw/classes/cnp.jar:$ITM_HOME/$INTERP_TYPE/cw/classes/cnp_vbjorball.jar:$ITM_HOME/$INTERP_TYPE/cw/classes/kjrall.jar:$ITM_HOME/$INTERP_TYPE/cw/classes/util.jar:$ITM_HOME/$INTERP_TYPE/cw/classes/xml.jar:$ITM_HOME/$INTERP_TYPE/cq/classes/candle/PackageLoader.class
export CLASSPATH

# debug stmt
# echo "CLASSPATH=$CLASSPATH"

java -showversion -noverify -classpath $CLASSPATH -Dkjr.trace.mode=LOCAL -Dkjr.trace.file=KevSeed.LOG -Dkjr.trace.params="DETAIL" -Dcnp.pipeline.factor=0 -Dcnp.http.url.DataBus=http://$SERVER_NAME:1920//cnp/client/ior/CTDataBus::Manager -Dcnp.http.url.host=$SERVER_NAME -Dvbroker.agent.enableLocator=false candle.PackageLoader candle/kev/KevPackage.xml

cp jars/ael.jar                           $ITM_HOME/$INTERP_TYPE/cj/lib
cp jars/commons-codec-1.3.jar             $ITM_HOME/$INTERP_TYPE/cj/lib
cp jars/commons-httpclient-3.0.jar        $ITM_HOME/$INTERP_TYPE/cj/lib
cp jars/commons-logging-1.0.4.jar         $ITM_HOME/$INTERP_TYPE/cj/lib
cp jars/commons-logging-api-1.0.4.jar     $ITM_HOME/$INTERP_TYPE/cj/lib
cp jars/editor.jar                        $ITM_HOME/$INTERP_TYPE/cj/lib
cp jars/jaxen-core-1.0.jar                $ITM_HOME/$INTERP_TYPE/cj/lib
cp jars/jcelementsK.jar                   $ITM_HOME/$INTERP_TYPE/cj/lib
cp jars/jctableK.jar                      $ITM_HOME/$INTERP_TYPE/cj/lib
cp jars/kev.jar                           $ITM_HOME/$INTERP_TYPE/cj/lib
cp jars/maplet.jar                        $ITM_HOME/$INTERP_TYPE/cj/lib
cp jars/nova.jar                          $ITM_HOME/$INTERP_TYPE/cj/lib
cp jars/oromatcher.jar                    $ITM_HOME/$INTERP_TYPE/cj/lib
cp jars/saxpath.jar                       $ITM_HOME/$INTERP_TYPE/cj/lib

cp jars/ael.jar                           $ITM_HOME/$INTERP_TYPE/cw/classes
cp jars/commons-codec-1.3.jar             $ITM_HOME/$INTERP_TYPE/cw/classes
cp jars/commons-httpclient-3.0.jar        $ITM_HOME/$INTERP_TYPE/cw/classes
cp jars/commons-logging-1.0.4.jar         $ITM_HOME/$INTERP_TYPE/cw/classes
cp jars/commons-logging-api-1.0.4.jar     $ITM_HOME/$INTERP_TYPE/cw/classes
cp jars/editor.jar                        $ITM_HOME/$INTERP_TYPE/cw/classes
cp jars/jaxen-core-1.0.jar                $ITM_HOME/$INTERP_TYPE/cw/classes
cp jars/jcelementsK.jar                   $ITM_HOME/$INTERP_TYPE/cw/classes
cp jars/jctableK.jar                      $ITM_HOME/$INTERP_TYPE/cw/classes
cp jars/kev.jar                           $ITM_HOME/$INTERP_TYPE/cw/classes
cp jars/maplet.jar                        $ITM_HOME/$INTERP_TYPE/cw/classes
cp jars/nova.jar                          $ITM_HOME/$INTERP_TYPE/cw/classes
cp jars/oromatcher.jar                    $ITM_HOME/$INTERP_TYPE/cw/classes
cp jars/saxpath.jar                       $ITM_HOME/$INTERP_TYPE/cw/classes

mkdir $ITM_HOME/$INTERP_TYPE/cw/classes/candle/kev
mkdir $ITM_HOME/$INTERP_TYPE/cw/classes/candle/kev/resources
mkdir $ITM_HOME/$INTERP_TYPE/cw/classes/candle/kev/resources/help
cp candle/kev/resources/help/*.* $ITM_HOME/$INTERP_TYPE/cw/classes/candle/kev/resources/help


cp candle/kev/KevPackage.xml              $ITM_HOME/$INTERP_TYPE/cq/sqllib
cp Kev.inf                                $ITM_HOME/$INTERP_TYPE/cj

# Install script is done!
echo ""
echo "Installation of AEL-ITM Integration has been completed. Please recyle your TEPS before starting the TEP"
